/** Main **/

@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro&display=swap');

body {
    font: 11pt 'segoe ui', tahoma, sans-serif
}

div.container {
    width: 98%;
    max-width: 960px;
    margin: auto;
    padding-bottom: 50vh;
}

h1 {
    font-size: 12pt;
}

h2 {
    margin: 2pt 10pt;
    font-size: 12pt;
    color: #446
}

img {
    box-shadow: 2 2 10 gainsboro;
}


/** Table **/

table {
    width: 100%;
    margin-top: 20pt;
    border-collapse: collapse;
}

table.main {
    table-layout: fixed;
}

col.col1 {
    width: 30%;
    overflow-wrap: break-word;
}

col.col2 {
    width: 70%;
}

th {
    border-radius: 4px;
    background: whitesmoke;
    padding: 5pt;
    text-align: left;
    font-size: 13pt;
    color: dimgray
}


td {
    padding: 10pt;
    border-bottom: 1px solid gainsboro;
    vertical-align: top;
}

tr:last-child>td {
    border-bottom: 0
}


/** Links **/

a,
a:visited {
    color: #25a;
    text-decoration: none;
}

a:hover {
    color: #248;
    text-decoration: underline;
}


/** Header link joiner **/

h1>a::after {
    content: ">"
}

h1>a:last-child::after {
    content: ""
}


/** Sections **/

div.section {
    margin: 10pt
}

div.section::before {
    display: block;
    margin: 5pt -5pt;
    font-size: 13pt;
}


/** summary **/

div[class=summary] {
    margin-left: -5pt;
    font-size: 13pt;
}


/** params **/

div.section.param::before {
    content: "Parameters:"
}

div.param>span:first-child {
    background: whitesmoke;
    border-radius: 5px;
    display: inline-block;
    margin: 1pt;
    padding: 1pt 3pt;
    color: #446;
}


/** inherits **/

div.section.inherits::before {
    content: "Inherits:"
}


/** returns **/

div[class=returns] {
    display: inline-block
}

div.section.returns::before {
    content: "Returns:"
}


/** seealso **/

div.section.seealso::before {
    content: "See also:"
}

div[class=seealso] {
    display: inline-block
}

div[class=seealso]::after {
    content: ", "
}

div[class=seealso]:last-child::after {
    content: ""
}


/** code **/

code, c {
    font: 10pt "source code pro", monospace;
}


c {
    background: ghostwhite;
}

pre {
    overflow: auto;
    background: ghostwhite;
    border: 1px solid gainsboro;
    padding: 10pt;
}

div.section.example::before {
    content: "Example:";
}

/** Lists **/

table.list {
    width: 100%;
}

/** Member Heading Types **/

th.C::before {
    content: "Classes";
}

th.E::before {
    content: "Events";
}

th.F::before {
    content: "Fields";
}

th.M::before {
    content: "Methods";
}

th.N::before {
    content: "Enums";
}

th.O::before {
    content: "Forms";
}

th.P::before {
    content: "Properties";
}

th.S::before {
    content: "Structs";
}

th.T::before {
    content: "Types";
}